Manifest-Version: 1.0
Bnd-LastModified: 1715666989771
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 116.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="3.0.0",com.life
 ray.announcements.kernel.constants;version="1.0.0",com.liferay.announ
 cements.kernel.exception;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.announcements.kernel.model;version="4.2.0
 ";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.ds
 l,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation
 ,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.model.change
 .tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.
 kernel.util",com.liferay.announcements.kernel.service;version="2.8.0"
 ;uses:="com.liferay.announcements.kernel.model,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kern
 el.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.access.control,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.service.chang
 e.tracking,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.service.persiste
 nce;version="4.0.0";uses:="com.liferay.announcements.kernel.exception
 ,com.liferay.announcements.kernel.model,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.serv
 ice.persistence,com.liferay.portal.kernel.service.persistence.change.
 tracking,com.liferay.portal.kernel.util",com.liferay.announcements.ke
 rnel.util;version="2.0.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.theme",com.liferay.asset.kernel;ve
 rsion="2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.porta
 l.kernel.exception",com.liferay.asset.kernel.configuration.provider;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.module.configuration"
 ,com.liferay.asset.kernel.exception;version="3.0.1";uses:="com.lifera
 y.asset.kernel.model,com.liferay.portal.kernel.exception",com.liferay
 .asset.kernel.model;version="10.0.0";uses:="com.liferay.dynamic.data.
 mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.petra.
 sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.anno
 tation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 change.tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.p
 ortal.kernel.portlet,com.liferay.portal.kernel.resource.bundle,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.the
 me,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.s
 ervlet.http",com.liferay.asset.kernel.model.adapter;version="3.1.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.model"
 ,com.liferay.asset.kernel.search;version="1.0.0";uses:="com.liferay.a
 sset.kernel.service.persistence,com.liferay.portal.kernel.search",com
 .liferay.asset.kernel.service;version="8.3.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.asset.kernel.service.persistence,com.lifer
 ay.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.pet
 ra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,com.lif
 eray.portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.increme
 nt,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebse
 rvice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.access.control,com.liferay.porta
 l.kernel.service,com.liferay.portal.kernel.service.change.tracking,co
 m.liferay.portal.kernel.service.permission,com.liferay.portal.kernel.
 service.persistence,com.liferay.portal.kernel.service.persistence.cha
 nge.tracking,com.liferay.portal.kernel.systemevent,com.liferay.portal
 .kernel.transaction,com.liferay.portal.kernel.util",com.liferay.asset
 .kernel.service.persistence;version="10.1.0";uses:="com.liferay.asset
 .kernel.exception,com.liferay.asset.kernel.model,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.util",com.liferay.asset.k
 ernel.util;version="2.0.0",com.liferay.asset.kernel.validator;version
 ="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.back
 ground.task.kernel.util.comparator;version="1.1.0";uses:="com.liferay
 .portal.kernel.backgroundtask,com.liferay.portal.kernel.util",com.lif
 eray.counter.kernel;version="2.2.0",com.liferay.counter.kernel.except
 ion;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com.l
 iferay.counter.kernel.model;version="4.1.0";uses:="com.liferay.petra.
 sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.anno
 tation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.ut
 il",com.liferay.counter.kernel.service;version="2.2.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.transaction",com.liferay.counter.kernel.service.p
 ersistence;version="2.0.2",com.liferay.document.library.kernel;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.doc
 ument.library.kernel.antivirus;version="3.1.0";uses:="com.liferay.por
 tal.kernel.exception",com.liferay.document.library.kernel.document.co
 nversion;version="1.0.0",com.liferay.document.library.kernel.exceptio
 n;version="4.2.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.document.library.kernel.model;version="8.2.0";uses:="com.liferay
 .dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.model.change.tracking,com.liferay.portal.kernel.model.wrapper,com.
 liferay.portal.kernel.repository.model,com.liferay.portal.kernel.util
 ",com.liferay.document.library.kernel.service;version="11.4.0";uses:=
 "com.liferay.asset.kernel.model,com.liferay.document.library.kernel.e
 xception,com.liferay.document.library.kernel.model,com.liferay.dynami
 c.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay
 .petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.ke
 rnel.cache.thread.local,com.liferay.portal.kernel.change.tracking,com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.increment,com.liferay.portal.kernel.jsonwebse
 rvice,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.messag
 ing.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.search,com.liferay.portal.k
 ernel.security.access.control,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.service.change.tracking,com.liferay.portal.kerne
 l.service.permission,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.service.persistence.change.tracking,com.lifer
 ay.portal.kernel.systemevent,com.liferay.portal.kernel.transaction,co
 m.liferay.portal.kernel.util",com.liferay.document.library.kernel.ser
 vice.persistence;version="6.2.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.service.persistence,com.liferay.portal.kernel.service.
 persistence.change.tracking,com.liferay.portal.kernel.util",com.lifer
 ay.document.library.kernel.store;version="8.0.0";uses:="com.liferay.p
 etra.function,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.transaction",com.liferay.document.library.kernel.util;version=
 "9.0.0";uses:="com.liferay.document.library.kernel.exception,com.life
 ray.document.library.kernel.model,com.liferay.exportimport.kernel.lar
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.reposi
 tory.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.ut
 il,com.liferay.portal.kernel.xml,javax.portlet",com.liferay.document.
 library.kernel.util.comparator;version="3.0.0";uses:="com.liferay.doc
 ument.library.kernel.model,com.liferay.portal.kernel.repository.model
 ,com.liferay.portal.kernel.util",com.liferay.document.library.kernel.
 versioning;version="1.0.0";uses:="com.liferay.document.library.kernel
 .model",com.liferay.dynamic.data.mapping.kernel;version="5.0.0";uses:
 ="com.liferay.expando.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.theme",com.liferay.expando.kernel.exception;
 version="2.0.0";uses:="com.liferay.portal.kernel.exception",com.lifer
 ay.expando.kernel.model;version="6.0.0";uses:="com.liferay.petra.sql.
 dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotati
 on,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.model.change.tracking,com.liferay.portal.kernel.
 model.wrapper,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.util",com.liferay.expando.kernel.model.adapter;version="3.1.0";u
 ses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.mode
 l",com.liferay.expando.kernel.service;version="1.10.0";uses:="com.lif
 eray.expando.kernel.model,com.liferay.petra.function,com.liferay.petr
 a.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.security.access.control,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.change.tracking,com.liferay.por
 tal.kernel.service.persistence,com.liferay.portal.kernel.service.pers
 istence.change.tracking,com.liferay.portal.kernel.transaction,com.lif
 eray.portal.kernel.util",com.liferay.expando.kernel.service.permissio
 n;version="1.0.0";uses:="com.liferay.expando.kernel.model,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.security.permissio
 n",com.liferay.expando.kernel.service.persistence;version="3.3.0";use
 s:="com.liferay.expando.kernel.exception,com.liferay.expando.kernel.m
 odel,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 util",com.liferay.expando.kernel.util;version="4.0.0";uses:="com.life
 ray.expando.kernel.model,com.liferay.portal.kernel.service",com.lifer
 ay.exportimport.kernel.background.task;version="1.4.0",com.liferay.ex
 portimport.kernel.configuration;version="5.0.0";uses:="com.liferay.ex
 portimport.kernel.model,com.liferay.portal.kernel.backgroundtask,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model,javax
 .portlet",com.liferay.exportimport.kernel.configuration.constants;ver
 sion="1.0.0",com.liferay.exportimport.kernel.controller;version="2.0.
 0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.exportimpor
 t.kernel.model",com.liferay.exportimport.kernel.exception;version="2.
 1.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.portal.ke
 rnel.exception",com.liferay.exportimport.kernel.lar;version="4.4.0";u
 ses:="com.liferay.expando.kernel.model,com.liferay.exportimport.kerne
 l.model,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .repository.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.theme,com.liferay.portal.kernel.util,com.liferay.portal.kern
 el.xml,com.liferay.portal.kernel.zip,javax.portlet",com.liferay.expor
 timport.kernel.lifecycle;version="4.0.0";uses:="com.liferay.exportimp
 ort.kernel.lar,com.liferay.exportimport.kernel.model,com.liferay.port
 al.kernel.model",com.liferay.exportimport.kernel.lifecycle.constants;
 version="1.0.0",com.liferay.exportimport.kernel.model;version="6.0.0"
 ;uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.
 liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.model.wrapper,co
 m.liferay.portal.kernel.util",com.liferay.exportimport.kernel.service
 ;version="2.10.0";uses:="com.liferay.exportimport.kernel.lar,com.life
 ray.exportimport.kernel.model,com.liferay.petra.sql.dsl.query,com.lif
 eray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.security.acc
 ess.control,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.systemevent,com.life
 ray.portal.kernel.transaction,com.liferay.portal.kernel.util,javax.po
 rtlet",com.liferay.exportimport.kernel.service.persistence;version="2
 .5.0";uses:="com.liferay.exportimport.kernel.exception,com.liferay.ex
 portimport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.persistence,
 com.liferay.portal.kernel.util",com.liferay.exportimport.kernel.stagi
 ng;version="2.3.0";uses:="com.liferay.exportimport.kernel.lar,com.lif
 eray.exportimport.kernel.model,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.security.auth,com.liferay.portal.kernel.util,com.li
 feray.portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.port
 let,javax.servlet.http",com.liferay.exportimport.kernel.staging.const
 ants;version="1.0.0",com.liferay.exportimport.kernel.staging.permissi
 on;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.security.permission",com.liferay.exportimport.kernel.x
 stream;version="2.0.0",com.liferay.layout.admin.kernel.model;version=
 "1.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.ad
 min.kernel.visibility;version="2.0.0",com.liferay.layout.seo.kernel;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.theme,com.liferay.port
 al.kernel.util",com.liferay.layout.utility.page.kernel;version="1.1.0
 ";uses:="com.liferay.layout.utility.page.kernel.request.contributor,j
 avax.servlet,javax.servlet.http",com.liferay.layout.utility.page.kern
 el.constants;version="2.1.0",com.liferay.layout.utility.page.kernel.r
 equest.contributor;version="1.0.0";uses:="com.liferay.portal.kernel.s
 ervlet",com.liferay.layouts.admin.kernel.util;version="116.0.1",com.l
 iferay.mail.kernel.auth.token.provider;version="2.0.0",com.liferay.ma
 il.kernel.model;version="1.1.0";uses:="javax.mail.internet",com.lifer
 ay.mail.kernel.service;version="5.0.0";uses:="com.liferay.mail.kernel
 .model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 transaction,javax.mail",com.liferay.mail.kernel.template;version="2.0
 .0";uses:="com.liferay.portal.kernel.util",com.liferay.portal.kernel.
 annotation;version="7.0.0",com.liferay.portal.kernel.aop;version="1.0
 .1",com.liferay.portal.kernel.application.type;version="1.0.0",com.li
 feray.portal.kernel.audit;version="8.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.json",com.liferay.portal.ke
 rnel.backgroundtask;version="11.0.0";uses:="com.liferay.petra.lang,co
 m.liferay.portal.kernel.backgroundtask.display,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.messaging,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.repository.model,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.util",com.liferay.port
 al.kernel.backgroundtask.constants;version="1.1.0",com.liferay.portal
 .kernel.backgroundtask.display;version="3.0.0";uses:="com.liferay.por
 tal.kernel.backgroundtask,javax.servlet.http",com.liferay.portal.kern
 el.bean;version="10.1.0";uses:="javax.portlet,javax.servlet.http",com
 .liferay.portal.kernel.cache;version="14.0.0";uses:="com.liferay.port
 al.kernel.transaction",com.liferay.portal.kernel.cache.index;version=
 "6.2.0";uses:="com.liferay.portal.kernel.cache",com.liferay.portal.ke
 rnel.cache.key;version="8.0.0";uses:="com.liferay.petra.string",com.l
 iferay.portal.kernel.cache.thread.local;version="2.0.0";uses:="com.li
 feray.portal.kernel.transaction",com.liferay.portal.kernel.cache.tran
 sactional;version="3.1.0";uses:="com.liferay.portal.kernel.cache,com.
 liferay.portal.kernel.transaction",com.liferay.portal.kernel.cal;vers
 ion="7.0.0",com.liferay.portal.kernel.captcha;version="7.0.0";uses:="
 com.liferay.portal.kernel.exception,javax.portlet,javax.servlet.http"
 ,com.liferay.portal.kernel.change.tracking;version="2.2.0";uses:="com
 .liferay.petra.lang,com.liferay.portal.kernel.exception",com.liferay.
 portal.kernel.change.tracking.sql;version="1.0.0";uses:="com.liferay.
 petra.lang",com.liferay.portal.kernel.cluster;version="9.0.0";uses:="
 com.liferay.portal.kernel.concurrent,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.cluster.messaging;version="7.1.0";uses:=
 "com.liferay.portal.kernel.cluster,com.liferay.portal.kernel.messagin
 g",com.liferay.portal.kernel.comment;version="4.0.0";uses:="com.lifer
 ay.exportimport.kernel.lar,com.liferay.portal.kernel.dao.orm,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.security.permission,com.liferay.portal.kernel.servic
 e,com.liferay.ratings.kernel.model",com.liferay.portal.kernel.comment
 .display.context;version="1.0.0";uses:="com.liferay.portal.kernel.com
 ment,com.liferay.portal.kernel.display.context,com.liferay.portal.ker
 nel.exception,javax.servlet.http",com.liferay.portal.kernel.concurren
 t;version="8.1.0",com.liferay.portal.kernel.configuration;version="7.
 0.0",com.liferay.portal.kernel.cookies;version="3.1.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.settings,javax
 .servlet.http",com.liferay.portal.kernel.cookies.constants;version="1
 .1.0",com.liferay.portal.kernel.dao.db;version="13.1.0";uses:="com.li
 feray.petra.function,com.liferay.portal.kernel.util,javax.naming,java
 x.sql",com.liferay.portal.kernel.dao.jdbc;version="9.0.0";uses:="java
 x.naming,javax.sql",com.liferay.portal.kernel.dao.jdbc.aop;version="8
 .0.0",com.liferay.portal.kernel.dao.jdbc.pool.metrics;version="1.0.0"
 ,com.liferay.portal.kernel.dao.orm;version="12.0.0";uses:="com.lifera
 y.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.petr
 a.sql.dsl.query,com.liferay.portal.kernel.cache,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.search,com.liferay.portal.kernel.service,com.liferay.portal.kerne
 l.service.persistence,com.liferay.portal.kernel.transaction,com.lifer
 ay.portal.kernel.util",com.liferay.portal.kernel.dao.search;version="
 9.0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.
 servlet.http",com.liferay.portal.kernel.dependency.manager;version="2
 .0.0",com.liferay.portal.kernel.deploy.auto;version="8.0.0";uses:="co
 m.liferay.portal.kernel.deploy.auto.context,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.plugin",com.liferay.portal.kerne
 l.deploy.auto.context;version="7.0.0";uses:="com.liferay.portal.kerne
 l.plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.messag
 ing,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.util,j
 avax.servlet",com.liferay.portal.kernel.display.context;version="2.0.
 0";uses:="javax.servlet.http,org.osgi.framework",com.liferay.portal.k
 ernel.display.context.helper;version="2.0.0";uses:="com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.k
 ernel.security.permission,com.liferay.portal.kernel.theme,javax.servl
 et.http",com.liferay.portal.kernel.editor;version="8.0.0",com.liferay
 .portal.kernel.editor.configuration;version="1.1.0";uses:="com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.portlet,com.liferay.po
 rtal.kernel.theme",com.liferay.portal.kernel.editor.constants;version
 ="1.0.0",com.liferay.portal.kernel.encryptor;version="1.0.0",com.life
 ray.portal.kernel.events;version="6.3.0";uses:="com.liferay.portal.ke
 rnel.exception,javax.portlet,javax.servlet.http",com.liferay.portal.k
 ernel.exception;version="13.2.0";uses:="com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.
 util",com.liferay.portal.kernel.facebook;version="7.0.0";uses:="com.l
 iferay.portal.kernel.json,javax.portlet",com.liferay.portal.kernel.fe
 ature.flag;version="1.0.0",com.liferay.portal.kernel.format;version="
 7.0.0",com.liferay.portal.kernel.frontend.esm;version="1.0.0",com.lif
 eray.portal.kernel.frontend.source.map;version="1.0.0",com.liferay.po
 rtal.kernel.group.capability;version="1.0.0";uses:="com.liferay.porta
 l.kernel.model",com.liferay.portal.kernel.image;version="10.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l",com.liferay.portal.kernel.increment;version="7.1.0";uses:="com.lif
 eray.petra.lang",com.liferay.portal.kernel.instance;version="1.0.0";u
 ses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.inst
 ance.lifecycle;version="2.1.0";uses:="com.liferay.portal.kernel.model
 ",com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.io;version="9.0
 .0",com.liferay.portal.kernel.io.constants;version="1.0.0",com.lifera
 y.portal.kernel.io.unsync;version="8.0.0";uses:="com.liferay.petra.st
 ring",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.por
 tal.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.lif
 eray.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.life
 ray.portal.kernel.json;version="12.1.0";uses:="com.liferay.petra.func
 tion,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.lo
 g",com.liferay.portal.kernel.jsonwebservice;version="9.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.util,java
 x.servlet,javax.servlet.http",com.liferay.portal.kernel.language;vers
 ion="11.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.resource.bundle,javax.portlet,javax.servlet.http",com.li
 feray.portal.kernel.language.constants;version="1.0.0",com.liferay.po
 rtal.kernel.layoutconfiguration.util;version="4.0.0";uses:="com.lifer
 ay.petra.string,com.liferay.portal.kernel.model,javax.servlet.http",c
 om.liferay.portal.kernel.license;version="1.0.0",com.liferay.portal.k
 ernel.license.messaging;version="3.0.0",com.liferay.portal.kernel.lic
 ense.util;version="1.0.0";uses:="com.liferay.portal.kernel.json,com.l
 iferay.portal.kernel.license",com.liferay.portal.kernel.lock;version=
 "9.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.log;version="8.0.0",com.liferay.portal.kernel.login;version=
 "1.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",com.liferay.po
 rtal.kernel.management;version="8.0.0";uses:="com.liferay.portal.kern
 el.exception",com.liferay.portal.kernel.management.jmx;version="6.2.0
 ";uses:="com.liferay.portal.kernel.jmx.model,com.liferay.portal.kerne
 l.management,javax.management",com.liferay.portal.kernel.messaging;ve
 rsion="16.0.0";uses:="com.liferay.portal.kernel.exception",com.lifera
 y.portal.kernel.messaging.async;version="6.2.0",com.liferay.portal.ke
 rnel.messaging.config;version="11.0.0";uses:="com.liferay.portal.kern
 el.messaging",com.liferay.portal.kernel.metadata;version="10.0.0";use
 s:="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.kernel
 .exception",com.liferay.portal.kernel.microsofttranslator;version="7.
 0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.k
 ernel.mobile.device;version="9.0.0";uses:="javax.servlet.http",com.li
 feray.portal.kernel.model;version="30.2.0";uses:="com.liferay.asset.k
 ernel.model,com.liferay.expando.kernel.model,com.liferay.exportimport
 .kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,
 com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.applic
 ation.type,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mod
 el.change.tracking,com.liferay.portal.kernel.model.portlet,com.lifera
 y.portal.kernel.model.wrapper,com.liferay.portal.kernel.notifications
 ,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.pop,com.l
 iferay.portal.kernel.portlet,com.liferay.portal.kernel.scheduler,com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.security.permission.propagator,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.servlet,com.lif
 eray.portal.kernel.template,com.liferay.portal.kernel.theme,com.lifer
 ay.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.por
 tal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.port
 al.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.ker
 nel.model,javax.portlet,javax.servlet,javax.servlet.http",com.liferay
 .portal.kernel.model.adapter;version="5.1.0";uses:="com.liferay.porta
 l.kernel.model",com.liferay.portal.kernel.model.adapter.builder;versi
 on="1.0.0",com.liferay.portal.kernel.model.cache;version="1.0.0",com.
 liferay.portal.kernel.model.change.tracking;version="3.0.0";uses:="co
 m.liferay.portal.kernel.model",com.liferay.portal.kernel.model.dao;ve
 rsion="2.5.0",com.liferay.portal.kernel.model.impl;version="7.2.0";us
 es:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.service,javax.servlet.http",c
 om.liferay.portal.kernel.model.portlet;version="2.0.0";uses:="com.lif
 eray.petra.string,javax.portlet",com.liferay.portal.kernel.model.role
 ;version="1.2.0",com.liferay.portal.kernel.model.version;version="3.0
 .0",com.liferay.portal.kernel.model.wrapper;version="3.0.0";uses:="co
 m.liferay.expando.kernel.model,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.service",com.liferay.portal.kernel.module.configu
 ration;version="2.1.0";uses:="com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.settings",com.
 liferay.portal.kernel.module.framework;version="1.4.0",com.liferay.po
 rtal.kernel.module.framework.service;version="1.0.1";uses:="com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.portal.kernel.monitoring;version="8.0.0";uses:="com.liferay.porta
 l.kernel.exception,javax.portlet",com.liferay.portal.kernel.notificat
 ions;version="11.1.0";uses:="com.liferay.asset.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.service",com.liferay.p
 ortal.kernel.openid;version="1.0.0",com.liferay.portal.kernel.parsers
 .bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;version="8.
 0.0",com.liferay.portal.kernel.plugin;version="7.0.0";uses:="com.life
 ray.portal.kernel.util",com.liferay.portal.kernel.pop;version="7.0.0"
 ;uses:="com.liferay.portal.kernel.exception,javax.mail",com.liferay.p
 ortal.kernel.portlet;version="26.0.0";uses:="com.liferay.asset.kernel
 .model,com.liferay.expando.kernel.model,com.liferay.exportimport.kern
 el.lar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.notifi
 cations,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.security.permission.propagator,com.liferay.portal.kernel.servlet
 ,com.liferay.portal.kernel.settings,com.liferay.portal.kernel.templat
 e,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.trash,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.webdav,com.life
 ray.portal.kernel.workflow,com.liferay.portal.kernel.xml,com.liferay.
 portal.kernel.xmlrpc,com.liferay.social.kernel.model,javax.portlet,ja
 vax.portlet.annotations,javax.portlet.filter,javax.servlet,javax.serv
 let.http",com.liferay.portal.kernel.portlet.async;version="1.0.1";use
 s:="javax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc;vers
 ion="6.1.0";uses:="com.liferay.portal.kernel.portlet,com.liferay.port
 al.kernel.transaction,javax.portlet",com.liferay.portal.kernel.portle
 t.bridges.mvc.constants;version="1.0.0",com.liferay.portal.kernel.por
 tlet.configuration.icon;version="5.0.0";uses:="com.liferay.osgi.servi
 ce.tracker.collections.map,javax.portlet,javax.servlet,javax.servlet.
 http,org.osgi.framework",com.liferay.portal.kernel.portlet.configurat
 ion.icon.locator;version="1.0.0";uses:="javax.portlet",com.liferay.po
 rtal.kernel.portlet.constants;version="1.4.0",com.liferay.portal.kern
 el.portlet.render;version="1.0.0";uses:="com.liferay.portal.kernel.mo
 del,javax.servlet.http",com.liferay.portal.kernel.portlet.toolbar;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax
 .portlet",com.liferay.portal.kernel.portlet.toolbar.contributor;versi
 on="1.1.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.p
 ortlet",com.liferay.portal.kernel.portlet.toolbar.contributor.locator
 ;version="1.0.0";uses:="com.liferay.portal.kernel.portlet.toolbar.con
 tributor,javax.portlet",com.liferay.portal.kernel.portlet.url.builder
 ;version="2.0.0";uses:="com.liferay.portal.kernel.portlet,javax.portl
 et,javax.portlet.annotations",com.liferay.portal.kernel.portletdispla
 ytemplate;version="7.0.0";uses:="javax.servlet.http",com.liferay.port
 al.kernel.portletfilerepository;version="5.0.0";uses:="com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.repository.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.redirect;version="1.0.
 0",com.liferay.portal.kernel.regex;version="1.0.0",com.liferay.portal
 .kernel.repository;version="13.0.0";uses:="com.liferay.asset.kernel.s
 ervice,com.liferay.document.library.kernel.model,com.liferay.document
 .library.kernel.service,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.repository.capabilities,com.liferay.portal.kernel.reposito
 ry.model,com.liferay.portal.kernel.resource.bundle,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.util",com.liferay.portal.kernel.repository.capabilities;version
 ="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.repository,com.liferay.portal.kernel.repository.event,com.li
 feray.portal.kernel.repository.model,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.util",com.liferay.portal.kernel.repositor
 y.event;version="1.1.0";uses:="com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.re
 pository.registry",com.liferay.portal.kernel.repository.friendly.url.
 resolver;version="2.0.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.repository.model",com.liferay.portal.kernel.
 repository.http.header.customizer;version="1.0.0";uses:="com.liferay.
 portal.kernel.repository.model",com.liferay.portal.kernel.repository.
 model;version="11.2.0";uses:="com.liferay.expando.kernel.model,com.li
 feray.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.json,com.liferay.portal.kernel.lock,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.repository.capabiliti
 es,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.util",com.liferay.portal.kernel.repository.proxy;version="7.0.0
 ";uses:="com.liferay.asset.kernel.service,com.liferay.document.librar
 y.kernel.model,com.liferay.document.library.kernel.service,com.lifera
 y.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.
 portal.kernel.repository,com.liferay.portal.kernel.repository.capabil
 ities,com.liferay.portal.kernel.repository.model,com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.util",com.liferay.p
 ortal.kernel.repository.registry;version="1.1.0";uses:="com.liferay.p
 ortal.kernel.repository,com.liferay.portal.kernel.repository.capabili
 ties,com.liferay.portal.kernel.repository.event",com.liferay.portal.k
 ernel.repository.search;version="7.0.0";uses:="com.liferay.portal.ker
 nel.search",com.liferay.portal.kernel.repository.util;version="3.1.0"
 ;uses:="com.liferay.portal.kernel.repository.model",com.liferay.porta
 l.kernel.resource;version="6.3.0",com.liferay.portal.kernel.resource.
 bundle;version="1.0.0",com.liferay.portal.kernel.resource.manager;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.resource",com.liferay.p
 ortal.kernel.sanitizer;version="8.0.0";uses:="com.liferay.portal.kern
 el.exception",com.liferay.portal.kernel.scheduler;version="18.1.0";us
 es:="com.liferay.petra.function,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.messaging,com.liferay.portal.kernel.schedule
 r.messaging,javax.portlet",com.liferay.portal.kernel.scheduler.messag
 ing;version="10.0.0";uses:="com.liferay.portal.kernel.messaging,com.l
 iferay.portal.kernel.scheduler",com.liferay.portal.kernel.scripting;v
 ersion="9.0.0";uses:="com.liferay.portal.kernel.exception,javax.portl
 et",com.liferay.portal.kernel.search;version="20.2.0";uses:="com.life
 ray.asset.kernel.model,com.liferay.expando.kernel.model,com.liferay.p
 etra.function,com.liferay.petra.string,com.liferay.portal.kernel.back
 groundtask,com.liferay.portal.kernel.comment,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.rep
 ository.model,com.liferay.portal.kernel.search.facet,com.liferay.port
 al.kernel.search.filter,com.liferay.portal.kernel.search.geolocation,
 com.liferay.portal.kernel.search.query,com.liferay.portal.kernel.sear
 ch.suggest,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme,com.liferay.portal.kernel.xml,javax.portlet,javax
 .servlet.http",com.liferay.portal.kernel.search.analysis;version="2.0
 .0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.kerne
 l.search.background.task;version="2.1.0",com.liferay.portal.kernel.se
 arch.dummy;version="5.0.0";uses:="com.liferay.portal.kernel.search,co
 m.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.searc
 h.suggest,com.liferay.portal.kernel.security.permission,javax.portlet
 ",com.liferay.portal.kernel.search.facet;version="9.0.0";uses:="com.l
 iferay.portal.kernel.json,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.search.facet.collector,com.liferay.portal.kernel.sear
 ch.facet.config,com.liferay.portal.kernel.search.facet.util,com.lifer
 ay.portal.kernel.search.filter",com.liferay.portal.kernel.search.face
 t.collector;version="6.3.0",com.liferay.portal.kernel.search.facet.co
 nfig;version="8.0.0";uses:="com.liferay.portal.kernel.json",com.lifer
 ay.portal.kernel.search.facet.faceted.searcher;version="2.0.0";uses:=
 "com.liferay.portal.kernel.search",com.liferay.portal.kernel.search.f
 acet.util;version="7.0.0";uses:="com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.search.facet",com.liferay.portal.kernel.search
 .filter;version="1.0.0";uses:="com.liferay.portal.kernel.search,com.l
 iferay.portal.kernel.search.geolocation",com.liferay.portal.kernel.se
 arch.generic;version="3.0.0";uses:="com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.sea
 rch.query",com.liferay.portal.kernel.search.geolocation;version="1.0.
 0",com.liferay.portal.kernel.search.highlight;version="1.0.0";uses:="
 com.liferay.portal.kernel.search",com.liferay.portal.kernel.search.hi
 ts;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.lifer
 ay.portal.kernel.search.query;version="2.0.0";uses:="com.liferay.port
 al.kernel.search,com.liferay.portal.kernel.search.generic",com.lifera
 y.portal.kernel.search.reindexer;version="1.0.0",com.liferay.portal.k
 ernel.search.result;version="1.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.search,javax.portlet",com.liferay
 .portal.kernel.search.suggest;version="3.1.1";uses:="com.liferay.port
 al.kernel.search",com.liferay.portal.kernel.security;version="6.2.0",
 com.liferay.portal.kernel.security.access.control;version="2.0.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.sec
 urity.auth,com.liferay.portal.kernel.security.auth.verifier,javax.ser
 vlet.http",com.liferay.portal.kernel.security.auth;version="6.1.0";us
 es:="com.liferay.petra.lang,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.life
 ray.portal.kernel.security.auth.verifier,com.liferay.portal.kernel.se
 curity.permission,javax.servlet.http,org.osgi.framework,org.osgi.util
 .tracker",com.liferay.portal.kernel.security.auth.http;version="1.1.0
 ";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",com.
 liferay.portal.kernel.security.auth.session;version="1.0.0";uses:="co
 m.liferay.portal.kernel.exception,javax.servlet.http",com.liferay.por
 tal.kernel.security.auth.tunnel;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.security.auth,javax.servlet.http",com.liferay.portal.kern
 el.security.auth.verifier;version="2.0.0";uses:="com.liferay.portal.k
 ernel.security.auth",com.liferay.portal.kernel.security.auto.login;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,javax.servle
 t.http",com.liferay.portal.kernel.security.exportimport;version="1.0.
 0",com.liferay.portal.kernel.security.jaas;version="7.0.0";uses:="jav
 ax.security.auth,javax.security.auth.callback,javax.security.auth.log
 in,javax.security.auth.spi",com.liferay.portal.kernel.security.ldap;v
 ersion="2.0.0";uses:="javax.naming.directory",com.liferay.portal.kern
 el.security.membershippolicy;version="1.0.0";uses:="com.liferay.asset
 .kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.util",com.liferay.portal.kernel.security.permission;v
 ersion="6.5.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql
 .dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission.contributor,com.liferay.portal.kernel.securit
 y.permission.propagator,com.liferay.portal.kernel.xml,javax.servlet.h
 ttp",com.liferay.portal.kernel.security.permission.comparator;version
 ="1.0.0",com.liferay.portal.kernel.security.permission.contributor;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.security.permission",com.liferay.portal.kernel.security.per
 mission.propagator;version="1.0.0";uses:="com.liferay.portal.kernel.e
 xception,javax.portlet",com.liferay.portal.kernel.security.permission
 .resource;version="2.2.0";uses:="com.liferay.exportimport.kernel.stag
 ing.permission,com.liferay.petra.function,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 curity.auth,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.workflow.permission"
 ,com.liferay.portal.kernel.security.permission.resource.definition;ve
 rsion="1.0.1";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.security.permission.res
 ource",com.liferay.portal.kernel.security.permission.wrapper;version=
 "1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.security.permission
 .contributor",com.liferay.portal.kernel.security.pwd;version="4.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model",com.liferay.portal.kernel.security.service.access.policy;versi
 on="1.1.0",com.liferay.portal.kernel.security.sso;version="1.0.0";use
 s:="javax.servlet.http",com.liferay.portal.kernel.security.xml;versio
 n="2.0.0";uses:="javax.xml.parsers,javax.xml.stream,javax.xml.transfo
 rm,org.xml.sax",com.liferay.portal.kernel.service;version="24.1.0";us
 es:="com.liferay.announcements.kernel.model,com.liferay.expando.kerne
 l.model,com.liferay.exportimport.kernel.lar,com.liferay.petra.functio
 n,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thr
 ead.local,com.liferay.portal.kernel.change.tracking,com.liferay.porta
 l.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.jsonwebservice,com.liferay.portal.kernel.messaging.async,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.notifications,com
 .liferay.portal.kernel.plugin,com.liferay.portal.kernel.portlet,com.l
 iferay.portal.kernel.repository.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.security.access.control,com.liferay.porta
 l.kernel.security.auth,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.service.change.tracking,com.liferay.portal.
 kernel.service.configuration,com.liferay.portal.kernel.service.permis
 sion,com.liferay.portal.kernel.service.persistence,com.liferay.portal
 .kernel.service.persistence.change.tracking,com.liferay.portal.kernel
 .settings,com.liferay.portal.kernel.spring.aop,com.liferay.portal.ker
 nel.systemevent,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.transaction,com.liferay.portal.kernel.upgrade,com.liferay.portal
 .kernel.util,com.liferay.portal.kernel.xml,javax.portlet,javax.servle
 t,javax.servlet.http",com.liferay.portal.kernel.service.change.tracki
 ng;version="1.0.0";uses:="com.liferay.petra.function,com.liferay.port
 al.kernel.model.change.tracking,com.liferay.portal.kernel.service.per
 sistence.change.tracking,com.liferay.portal.kernel.transaction",com.l
 iferay.portal.kernel.service.configuration;version="1.1.1",com.lifera
 y.portal.kernel.service.configuration.servlet;version="1.1.0";uses:="
 com.liferay.portal.kernel.service.configuration,javax.servlet",com.li
 feray.portal.kernel.service.http;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.util",com.lifera
 y.portal.kernel.service.permission;version="5.0.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.security.auth,com.liferay.portal.kernel.security.permis
 sion,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.serv
 ice.persistence;version="21.2.0";uses:="com.liferay.petra.sql.dsl.que
 ry,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.dao.orm
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.p
 ersistence.change.tracking,com.liferay.portal.kernel.util,javax.sql",
 com.liferay.portal.kernel.service.persistence.change.tracking;version
 ="1.4.0";uses:="com.liferay.portal.kernel.change.tracking,com.liferay
 .portal.kernel.model.change.tracking,com.liferay.portal.kernel.servic
 e.persistence",com.liferay.portal.kernel.service.persistence.change.t
 racking.helper;version="1.1.0";uses:="com.liferay.portal.kernel.model
 .change.tracking",com.liferay.portal.kernel.service.persistence.impl;
 version="4.1.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sq
 l.dsl.query,com.liferay.petra.string,com.liferay.portal.kernel.config
 uration,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.service,com.liferay.portal.kernel.serv
 ice.persistence,com.liferay.portal.kernel.util,javax.sql",com.liferay
 .portal.kernel.service.version;version="1.1.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.model.version",com.lif
 eray.portal.kernel.servlet;version="12.0.0";uses:="com.liferay.petra.
 string,com.liferay.portal.kernel.log,com.liferay.portal.kernel.util,j
 avax.portlet,javax.servlet,javax.servlet.http",com.liferay.portal.ker
 nel.servlet.filters.compoundsessionid;version="7.0.0";uses:="com.life
 ray.portal.kernel.servlet,javax.servlet.http",com.liferay.portal.kern
 el.servlet.filters.invoker;version="10.0.0";uses:="com.liferay.portal
 .kernel.util,javax.servlet,javax.servlet.http",com.liferay.portal.ker
 nel.servlet.taglib;version="9.0.0";uses:="com.liferay.petra.string,co
 m.liferay.portal.kernel.log,javax.servlet,javax.servlet.http",com.lif
 eray.portal.kernel.servlet.taglib.aui;version="10.1.0";uses:="com.lif
 eray.petra.string,com.liferay.portal.kernel.util",com.liferay.portal.
 kernel.servlet.taglib.ui;version="11.0.0";uses:="com.liferay.petra.st
 ring,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.util,javax.servlet,javax.servlet.http",
 com.liferay.portal.kernel.servlet.taglib.util;version="7.0.0";uses:="
 com.liferay.petra.string,com.liferay.portal.kernel.util",com.liferay.
 portal.kernel.settings;version="4.0.0";uses:="com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.resource.manager,com.liferay.portal.kernel.settings.definition,java
 x.portlet",com.liferay.portal.kernel.settings.definition;version="2.0
 .0",com.liferay.portal.kernel.social;version="2.0.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.social.kernel.service",com.liferay.portal.kernel.spring.aop;version
 ="7.0.0";uses:="com.liferay.portal.kernel.service",com.liferay.portal
 .kernel.spring.orm;version="2.0.0",com.liferay.portal.kernel.spring.o
 sgi;version="2.0.0",com.liferay.portal.kernel.spring.util;version="7.
 0.0",com.liferay.portal.kernel.struts;version="8.0.0";uses:="javax.se
 rvlet.http",com.liferay.portal.kernel.systemevent;version="6.2.0",com
 .liferay.portal.kernel.template;version="15.0.0";uses:="com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet.ht
 tp",com.liferay.portal.kernel.template.comparator;version="6.2.0";use
 s:="com.liferay.portal.kernel.template",com.liferay.portal.kernel.tem
 plateparser;version="8.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml",com.
 liferay.portal.kernel.terms.of.use;version="1.0.1";uses:="javax.servl
 et.http",com.liferay.portal.kernel.theme;version="10.5.0";uses:="com.
 liferay.petra.string,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.mobile.device,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.module.configuration,
 com.liferay.portal.kernel.portlet.configuration.icon,com.liferay.port
 al.kernel.portlet.toolbar,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.s
 ervlet.http",com.liferay.portal.kernel.transaction;version="8.1.0",co
 m.liferay.portal.kernel.trash;version="14.0.0";uses:="com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.search.filter,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.util,com.life
 ray.trash.kernel.model,javax.portlet",com.liferay.portal.kernel.trash
 .helper;version="1.1.0";uses:="com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.model,javax.portlet,javax.servlet.http",com.l
 iferay.portal.kernel.tree;version="2.1.1";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model",com.liferay.portal.k
 ernel.upgrade;version="21.1.0";uses:="com.liferay.petra.lang,com.life
 ray.portal.kernel.dao.db,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.resource.bundle,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.por
 tlet",com.liferay.portal.kernel.upgrade.util;version="11.0.0";uses:="
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.upgrade,com
 .liferay.portal.kernel.version",com.liferay.portal.kernel.upload;vers
 ion="10.1.0";uses:="com.liferay.portal.kernel.exception,javax.portlet
 ,javax.servlet.http",com.liferay.portal.kernel.upload.configuration;v
 ersion="1.0.0",com.liferay.portal.kernel.url;version="1.1.0";uses:="j
 avax.servlet",com.liferay.portal.kernel.url.validator;version="1.0.0"
 ,com.liferay.portal.kernel.util;version="61.0.0";uses:="com.liferay.e
 xpando.kernel.model,com.liferay.mail.kernel.model,com.liferay.petra.p
 rocess,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.string,
 com.liferay.portal.kernel.configuration,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.group.capability,com.liferay.portal.
 kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.repository.model,com.liferay.portal.ke
 rnel.resource.bundle,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.settings,co
 m.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,c
 om.liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.m
 ail,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.htt
 p,javax.sql",com.liferay.portal.kernel.util.comparator;version="3.1.0
 ";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet.configuration.icon,com.liferay.portal.kernel.util,javax.servlet
 ",com.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.k
 ernel.verify.model;version="2.1.0",com.liferay.portal.kernel.version;
 version="1.1.0",com.liferay.portal.kernel.view.count;version="1.2.0";
 uses:="com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception"
 ,com.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.portal.kernel.webdav;version="
 10.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.permission,com.liferay.portal.kernel.webdav.methods,com.li
 feray.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel
 .webdav.methods;version="6.2.0";uses:="com.liferay.portal.kernel.webd
 av,javax.servlet.http",com.liferay.portal.kernel.webserver;version="1
 .0.0",com.liferay.portal.kernel.words;version="2.0.0";uses:="com.life
 ray.portal.kernel.jazzy",com.liferay.portal.kernel.workflow;version="
 19.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.portlet,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .util,com.liferay.portal.kernel.workflow.search,javax.portlet,javax.s
 ervlet.http",com.liferay.portal.kernel.workflow.comparator;version="8
 .0.0";uses:="com.liferay.portal.kernel.util,com.liferay.portal.kernel
 .workflow",com.liferay.portal.kernel.workflow.permission;version="7.0
 .0";uses:="com.liferay.portal.kernel.security.permission",com.liferay
 .portal.kernel.workflow.search;version="1.0.0";uses:="com.liferay.por
 tal.kernel.workflow",com.liferay.portal.kernel.xml;version="7.1.0";us
 es:="org.xml.sax",com.liferay.portal.kernel.xml.simple;version="6.2.0
 ",com.liferay.portal.kernel.xmlrpc;version="6.2.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.portal.kernel.zip;version="6.4.
 2",com.liferay.portlet.configuration.kernel.util;version="1.0.0";uses
 :="javax.portlet",com.liferay.ratings.kernel;version="1.2.0",com.life
 ray.ratings.kernel.definition;version="1.1.0";uses:="com.liferay.port
 al.kernel.exception,com.liferay.ratings.kernel",com.liferay.ratings.k
 ernel.display.context;version="1.0.0";uses:="com.liferay.portal.kerne
 l.util,com.liferay.ratings.kernel,javax.portlet,javax.servlet.http",c
 om.liferay.ratings.kernel.exception;version="1.0.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.ratings.kernel.model;version="
 4.1.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.s
 ql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annot
 ation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.model.change.tracking,com.liferay.portal.ke
 rnel.model.wrapper,com.liferay.portal.kernel.util",com.liferay.rating
 s.kernel.service;version="2.8.0";uses:="com.liferay.exportimport.kern
 el.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com
 .liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.dao.
 orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util,com.liferay.ratings.kernel.model",com.liferay.ratings.ker
 nel.service.persistence;version="4.3.0";uses:="com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util,com.liferay.ratings.ke
 rnel.exception,com.liferay.ratings.kernel.model",com.liferay.ratings.
 kernel.transformer;version="1.0.0";uses:="com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 util,com.liferay.ratings.kernel,com.liferay.ratings.kernel.model,java
 x.portlet",com.liferay.sites.kernel.util;version="1.4.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.ser
 vice,javax.portlet,javax.servlet.http",com.liferay.social.kernel.exce
 ption;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com
 .liferay.social.kernel.model;version="6.1.0";uses:="com.liferay.asset
 .kernel.model,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.bas
 e,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.model.change
 .tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.
 kernel.resource.bundle,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util",com.liferay.social.kernel.model.impl;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.security.permission,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.theme,com.liferay.social.kernel.model",com.li
 feray.social.kernel.service;version="3.3.0";uses:="com.liferay.asset.
 kernel.model,com.liferay.petra.function,com.liferay.petra.sql.dsl.que
 ry,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kerne
 l.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.k
 ernel.messaging.async,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.search,com.liferay.portal.kernel.security.access.control,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.service.ch
 ange.tracking,com.liferay.portal.kernel.service.persistence,com.lifer
 ay.portal.kernel.service.persistence.change.tracking,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.por
 tal.kernel.util,com.liferay.social.kernel.model",com.liferay.social.k
 ernel.service.permission;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.security.permission",com.lif
 eray.social.kernel.service.persistence;version="4.3.0";uses:="com.lif
 eray.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.life
 ray.portal.kernel.service.persistence,com.liferay.portal.kernel.servi
 ce.persistence.change.tracking,com.liferay.portal.kernel.util,com.lif
 eray.social.kernel.exception,com.liferay.social.kernel.model",com.lif
 eray.social.kernel.util;version="1.0.0";uses:="com.liferay.portal.ker
 nel.service,com.liferay.social.kernel.model,javax.servlet.http",com.l
 iferay.social.kernel.util.comparator;version="1.1.0";uses:="com.lifer
 ay.portal.kernel.util,com.liferay.social.kernel.model",com.liferay.tr
 ash.kernel.model;version="6.0.0";uses:="com.liferay.expando.kernel.mo
 del,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.util",com.liferay.users.admin.kernel.file.u
 ploads;version="2.0.0",com.liferay.users.admin.kernel.organization.ty
 pes;version="1.0.1",com.liferay.users.admin.kernel.util;version="2.0.
 0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.util,javax.portlet,javax
 .servlet.http"
Git-Descriptor: a3bfcd7fefe07-dirty
Git-SHA: a3bfcd7fefe076bbb6c3a8168959f9676a7d667d
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.2,4.3)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[10.0,10.1)",com.liferay.asset.kernel.service;ve
 rsion="[8.3,8.4)",com.liferay.asset.kernel.service.persistence;versio
 n="[10.1,11)",com.liferay.counter.kernel.service;version="[2.2,2.3)",
 com.liferay.document.library.kernel.exception;version="[4.2,5)",com.l
 iferay.document.library.kernel.model;version="[8.2,8.3)",com.liferay.
 document.library.kernel.service;version="[11.4,11.5)",com.liferay.doc
 ument.library.kernel.store;version="[8.0,8.1)",com.liferay.document.l
 ibrary.kernel.util;version="[9.0,10)",com.liferay.dynamic.data.mappin
 g.kernel;version="[5.0,6)",com.liferay.expando.kernel.exception;versi
 on="[2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",com
 .liferay.expando.kernel.util;version="[4.0,5)",com.liferay.exportimpo
 rt.kernel.exception;version="[2.1,3)",com.liferay.exportimport.kernel
 .model;version="[6.0,6.1)",com.liferay.exportimport.kernel.service;ve
 rsion="[2.10,2.11)",com.liferay.exportimport.kernel.staging;version="
 [2.3,3)",com.liferay.exportimport.kernel.staging.permission;version="
 [1.0,2)",com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.
 liferay.layout.utility.page.kernel.request.contributor;version="[1.0,
 2)",com.liferay.mail.kernel.model;version="[1.1,2)",com.liferay.mail.
 kernel.service;version="[5.0,6)",com.liferay.mail.kernel.template;ver
 sion="[2.0,3)",com.liferay.osgi.service.tracker.collections.list,com.
 liferay.osgi.service.tracker.collections.map,com.liferay.petra.concur
 rent,com.liferay.petra.executor,com.liferay.petra.function,com.lifera
 y.petra.function.transform,com.liferay.petra.io.unsync,com.liferay.pe
 tra.lang,com.liferay.petra.memory,com.liferay.petra.nio,com.liferay.p
 etra.process,com.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.
 petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.
 petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.ast,com.lifera
 y.petra.sql.dsl.spi.expression,com.liferay.petra.sql.dsl.spi.query,co
 m.liferay.petra.string,com.liferay.portal.kernel.annotation;version="
 [7.0,8)",com.liferay.portal.kernel.application.type;version="[1.0,2)"
 ,com.liferay.portal.kernel.backgroundtask;version="[11.0,12)",com.lif
 eray.portal.kernel.backgroundtask.display;version="[3.0,4)",com.lifer
 ay.portal.kernel.bean;version="[10.1,11)",com.liferay.portal.kernel.c
 ache.thread.local;version="[2.0,3)",com.liferay.portal.kernel.cal;ver
 sion="[7.0,8)",com.liferay.portal.kernel.change.tracking;version="[2.
 2,3)",com.liferay.portal.kernel.change.tracking.sql;version="[1.0,2)"
 ,com.liferay.portal.kernel.comment;version="[4.0,4.1)",com.liferay.po
 rtal.kernel.concurrent;version="[8.1,9)",com.liferay.portal.kernel.co
 nfiguration;version="[7.0,8)",com.liferay.portal.kernel.cookies;versi
 on="[3.1,4)",com.liferay.portal.kernel.dao.db;version="[13.1,14)",com
 .liferay.portal.kernel.dao.orm;version="[12.0,12.1)",com.liferay.port
 al.kernel.dao.search;version="[9.0,10)",com.liferay.portal.kernel.dep
 endency.manager;version="[2.0,3)",com.liferay.portal.kernel.deploy.au
 to.context;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;ver
 sion="[7.1,8)",com.liferay.portal.kernel.exception;version="[13.2,14)
 ",com.liferay.portal.kernel.frontend.esm;version="[1.0,2)",com.lifera
 y.portal.kernel.image;version="[10.0,11)",com.liferay.portal.kernel.i
 ncrement;version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0
 ,10)",com.liferay.portal.kernel.io.unsync;version="[8.0,9)",com.lifer
 ay.portal.kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jm
 x.model;version="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.
 0,8)",com.liferay.portal.kernel.json;version="[12.1,13)",com.liferay.
 portal.kernel.jsonwebservice;version="[9.0,10)",com.liferay.portal.ke
 rnel.language;version="[11.0,12)",com.liferay.portal.kernel.language.
 constants;version="[1.0,2)",com.liferay.portal.kernel.license;version
 ="[1.0,2)",com.liferay.portal.kernel.lock;version="[9.0,10)",com.life
 ray.portal.kernel.management;version="[8.0,9)",com.liferay.portal.ker
 nel.messaging;version="[16.0,16.1)",com.liferay.portal.kernel.messagi
 ng.async;version="[6.2,7)",com.liferay.portal.kernel.mobile.device;ve
 rsion="[9.0,9.1)",com.liferay.portal.kernel.model.adapter.builder;ver
 sion="[1.0,2)",com.liferay.portal.kernel.model.change.tracking;versio
 n="[3.0,4)",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com
 .liferay.portal.kernel.model.impl;version="[7.2,8)",com.liferay.porta
 l.kernel.model.portlet;version="[2.0,3)",com.liferay.portal.kernel.mo
 del.version;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper
 ;version="[3.0,4)",com.liferay.portal.kernel.module.configuration;ver
 sion="[2.1,3)",com.liferay.portal.kernel.module.framework;version="[1
 .4,2)",com.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay
 .portal.kernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portle
 t.bridges.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.p
 ortlet.configuration.icon.locator;version="[1.0,2)",com.liferay.porta
 l.kernel.portlet.toolbar.contributor;version="[1.1,2)",com.liferay.po
 rtal.kernel.portlet.toolbar.contributor.locator;version="[1.0,2)",com
 .liferay.portal.kernel.repository;version="[13.0,14)",com.liferay.por
 tal.kernel.repository.capabilities;version="[2.0,2.1)",com.liferay.po
 rtal.kernel.repository.event;version="[1.1,2)",com.liferay.portal.ker
 nel.repository.http.header.customizer;version="[1.0,2)",com.liferay.p
 ortal.kernel.repository.model;version="[11.2,11.3)",com.liferay.porta
 l.kernel.repository.registry;version="[1.1,2)",com.liferay.portal.ker
 nel.repository.search;version="[7.0,8)",com.liferay.portal.kernel.res
 ource;version="[6.3,7)",com.liferay.portal.kernel.resource.manager;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.scheduler;version="[18.1,19
 )",com.liferay.portal.kernel.scheduler.messaging;version="[10.0,11)",
 com.liferay.portal.kernel.search.background.task;version="[2.1,3)",co
 m.liferay.portal.kernel.search.facet;version="[9.0,10)",com.liferay.p
 ortal.kernel.search.facet.collector;version="[6.3,7)",com.liferay.por
 tal.kernel.search.facet.config;version="[8.0,9)",com.liferay.portal.k
 ernel.search.facet.util;version="[7.0,8)",com.liferay.portal.kernel.s
 earch.filter;version="[1.0,2)",com.liferay.portal.kernel.search.gener
 ic;version="[3.0,4)",com.liferay.portal.kernel.search.geolocation;ver
 sion="[1.0,2)",com.liferay.portal.kernel.search.highlight;version="[1
 .0,2)",com.liferay.portal.kernel.search.hits;version="[2.0,3)",com.li
 feray.portal.kernel.search.query;version="[2.0,3)",com.liferay.portal
 .kernel.search.result;version="[1.0,2)",com.liferay.portal.kernel.sea
 rch.suggest;version="[3.1,4)",com.liferay.portal.kernel.security;vers
 ion="[6.2,7)",com.liferay.portal.kernel.security.auth.tunnel;version=
 "[1.0,2)",com.liferay.portal.kernel.security.auth.verifier;version="[
 2.0,3)",com.liferay.portal.kernel.security.permission.contributor;ver
 sion="[1.0,2)",com.liferay.portal.kernel.security.permission.propagat
 or;version="[1.0,2)",com.liferay.portal.kernel.security.permission.re
 source.definition;version="[1.0,2)",com.liferay.portal.kernel.securit
 y.pwd;version="[4.0,5)",com.liferay.portal.kernel.security.xml;versio
 n="[2.0,3)",com.liferay.portal.kernel.service.change.tracking;version
 ="[1.0,2)",com.liferay.portal.kernel.service.configuration;version="[
 1.1,1.2)",com.liferay.portal.kernel.service.persistence;version="[21.
 2,22)",com.liferay.portal.kernel.service.persistence.change.tracking;
 version="[1.4,2)",com.liferay.portal.kernel.servlet.filters.compounds
 essionid;version="[7.0,8)",com.liferay.portal.kernel.settings;version
 ="[4.0,5)",com.liferay.portal.kernel.settings.definition;version="[2.
 0,3)",com.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.life
 ray.portal.kernel.spring.orm;version="[2.0,3)",com.liferay.portal.ker
 nel.spring.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemeve
 nt;version="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="
 [1.1,2)",com.liferay.portal.kernel.upgrade;version="[21.1,22)",com.li
 feray.portal.kernel.upgrade.util;version="[11.0,12)",com.liferay.port
 al.kernel.upload;version="[10.1,11)",com.liferay.portal.kernel.util.c
 omparator;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[
 6.2,7)",com.liferay.portal.kernel.version;version="[1.1,2)",com.lifer
 ay.portal.kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.
 kernel.webserver;version="[1.0,2)",com.liferay.portal.kernel.workflow
 .permission;version="[7.0,8)",com.liferay.portal.kernel.workflow.sear
 ch;version="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)
 ",com.liferay.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.
 portal.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;
 version="[6.4,7)",com.liferay.ratings.kernel;version="[1.2,2)",com.li
 feray.ratings.kernel.exception;version="[1.0,2)",com.liferay.ratings.
 kernel.model;version="[4.1,4.2)",com.liferay.ratings.kernel.service;v
 ersion="[2.8,2.9)",com.liferay.ratings.kernel.transformer;version="[1
 .0,2)",com.liferay.sites.kernel.util;version="[1.4,2)",com.liferay.so
 cial.kernel.exception;version="[1.0,2)",com.liferay.social.kernel.mod
 el;version="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.
 3,3.4)",com.liferay.social.kernel.service.persistence;version="[4.3,5
 )",com.liferay.trash.kernel.model;version="[6.0,6.1)",com.liferay.use
 rs.admin.kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.
 internet,javax.management,javax.naming,javax.naming.directory,javax.n
 et.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.filter,j
 avax.security.auth,javax.security.auth.callback,javax.security.auth.l
 ogin,javax.security.auth.spi,javax.servlet,javax.servlet.http,javax.s
 ql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.t
 ransform,org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Jul 21 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Mon May 13 23:09:47 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 86 (Cavanaugh / Build 7413 / July 21, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 86
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
